<!doctype html>
<html lang="en">
<head>
<title>26-openstack-cluster-installer-in-bullseye-whats</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">TIL: extrepo can be used to manage external repos easily in Debian</span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 1: Fasttrack is a thing now, don't you want to add openstack* there too?</span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">A: not in testing is not the issue, the rate of new update is.</span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">Follow up: I think I meant backports. [elbrus]</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">The problem is that to upgrade an OpenStack cluster, one needs all intermediary upstream release to be able to do the SQL upgrades. This mean that we need to hold a backport repository for each and every OpenStack release. Therefore, the official Debian backports aren't suitable for this, and that's why we maintain http://{debian-release}-{openstack-release}.debian.net/debian backport repositories. Maybe we could do that using fastrack ? I'm not sure. I'll ask fastrack people...</span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 2: Can </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">O</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">penstack run on a single machine? </span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">D</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">oes it make sense? (for example c</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">ompared</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"> to proxmox)</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: You can. But it does not make much sense. The goal is to handle a bunch of computers. You can however test the whole Openstack using many virtual machines. But needs a lot of RAM (at least 64GiB of RAM</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> for each controller, so probably 256 GiB for a whole cluster can be seen as the minimum</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">).</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 3: Is IaaS still relevant as the trend seems to pivot to Kubernetes?</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: OpenStack is used to set up K</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">ubernetes</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"> above it. They play really well together.</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> Kubernetes has an OpenStack driver, and it can use Cinder volumes for Kube's volume claims, and Neutron network as network overlay, or even Octavia load balancers, for example.</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"> Project Magnum => type a single openstack command and it creates a whole Kurbenetes cluster for you.</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 4: What is the link between Openstack and Puppet?</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Had to choose a config management system between Ansible and Puppet. Puppet-openstack </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">(which is a set of puppet modules) </span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">was already feature complete</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> when I choosed</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">.</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 5: What is BGP? Why using BGP for Openstack?</span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Answer (copied from IRC): </span><span class="a_GBHdcAySh3x16UIR" title="a_GBHdcAySh3x16UIR" style="background-color:#c62ea6">https://en.wikipedia.org/wiki/Border_Gateway_Protocol</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">BGP does all of the IP packet transport, so that you don't need to do that over L2 ARP networking.  </span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">This means that the only L2 traffic is done over IPv6 local link only, reducing to zero any ARP stuff.</span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 6: Can multiple instances share the same GPU? </span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Yes in Openstack.</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"> It requires GPU support that can divide GPU into slices</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"> for different compute nodes. OCI cannot use this feature yet.</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> The NVidia licenses are super expensive.</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question 7: </span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">Kubernetes (server) can't be in testing/stable, we're you aware and do you have ideas how to handle that? </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">would </span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">(extrepo/fasttrack)</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"> be good solutions for this?</span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2"> [elbrus]</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: No idea, other people may know.</span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"></span><br><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38">Question: </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">8</span><span class="a_EmQoBqhBRgvMTYrw" title="a_EmQoBqhBRgvMTYrw" style="background-color:#666e38"> Why is openstack cool?</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d">A: Biggest IaaS free software. Other solutions are not getting traction. No vendor lock-in. >1000 nodes per region. Its API (REST, Python SDK…) are clean and easy to use compared to APIs from other cloud vendors.</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 9: How do you script firmware upgrade? Isn't that too vendor specific?</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">A:</span><span class="a_sgfjASuQJCzBPWoA" title="a_sgfjASuQJCzBPWoA" style="background-color:#67d54d"> You can write your own scripts. Most of the firmwares are closed-source from the vendors.</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> OCI provides the facility to do hardware firmware discovery (reporting all versions) for:</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">    - BIOS</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">    - IPMI</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">    - Block device controllers</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">    - Network cards</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Then a single configuration file needs to be filled with product names, versions, and upgrade scripts within the Debian live image that OCI builds. The live image can indeed be customized with added files, which can be firmware upgrade binaries.</span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
